# Ansible managed
{# Set up a default conf file to fall back on #}


DocumentRoot /var/www/default

<Directory /var/www/default>
   Require all denied
</Directory>

<VirtualHost *:80>
   ServerName fallback
 <Location />
    Require all denied
  </Location>
</VirtualHost>

{% if not (apache_vhost_has_ssl_certbot.results[0].skipped | default(false)) %}

<VirtualHost *:443>
  ServerName fallback
{% set key_servername = apache_vhosts[0].servername %}
{% set letsencrypt_vhost_path = '/etc/letsencrypt/live/' +  key_servername + '/' %}
{% set default_cert_file = letsencrypt_vhost_path + 'cert.pem' %}
{% set default_cert_key = letsencrypt_vhost_path + 'privkey.pem' %}
{% set default_chain_file = letsencrypt_vhost_path + 'chain.pem' %}

  Include /etc/letsencrypt/options-ssl-apache.conf

  SSLCompression off
{# certs are mostly created with default naming, but in some cases where the naming has gone wrong, due to manual updates etc. #}
{# should it instead use local certificates created on install of mod-ssl? #}

  SSLCertificateFile {{ apache_vhosts[0].certificate_file | default(default_cert_file) }}
  SSLCertificateKeyFile {{ apache_vhosts[0].certificate_key_file | default(default_cert_key) }}
  SSLCertificateChainFile {{apache_vhosts[0].certificate_chain_file | default(default_chain_file) }}
</VirtualHost>
{% endif %}
